package com.persagy.proxy.adm.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName AdmEquipFamilyCategory
 * @Description: 字典查询通用条件
 * @Author linhuili
 * @Date 2021/9/1 18:05
 * @Version V1.0
 **/
@Data
@EqualsAndHashCode(callSuper=true)
public class AdmDictQueryCriteria extends AdmQueryCriteria {

    /** 查询类型 common-平台级，project-项目级 */
    private String dictType;

    /** 信息点类型 */
    private String type;

    /** 信息点类型 ，兼容拓扑图查询参数*/
    @JsonProperty(value = "Type")
    private String labslType;
}
