package com.persagy.proxy.object.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.persagy.proxy.adm.service.impl.AbstractAdmBaseServiceImpl;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import com.persagy.proxy.object.model.AdmComponent;
import com.persagy.proxy.object.service.IAdmComAndEquipService;
import com.persagy.proxy.object.service.IAdmComponentService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ADM 组件 服务
 * @author lvxy
 * @date 2021/8/19
 */
@Service
public class AdmComponentServiceImpl extends AbstractAdmBaseServiceImpl<AdmComponent> implements IAdmComponentService, IAdmComAndEquipService {

    @Override
    public List<AdmComponent> doInsertExt(InstanceUrlParam context, Class<AdmComponent> clazz, List<AdmComponent> voList) {
        if(CollUtil.isEmpty(voList)) {
            return null;
        }
        return doInsert(context, clazz, voList);
    }

}
