package com.persagy.proxy.report.model;

import lombok.Data;

/**
 * 已采集信息点统计实体类
 *
 * @author lvxy
 * @date 2021/10/28
 */
@Data
public class AdmGatherInfoPoint {
    /** 信息点总数(数字字典+自定义信息点) */
    private Integer gatherInfoPointCounts = 0;

    /** 已采集的动态信息点总数 */
    private Integer gatherDynamicInfoPointCounts = 0;

    /** 已采集的静态信息点总数 */
    private Integer gatherStaticInfoPointCounts = 0;

    /** 已采集的自定义信息点总数 */
    private Integer gatherCustomInfoPointCounts = 0;
}
