package com.persagy.proxy.adm.model;

import com.persagy.dmp.common.model.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

/**
 * @author lvxy
 * @date 2021/9/13
 */
@Data
@EqualsAndHashCode(callSuper=true)
public abstract class AdmBaseEntity<T> extends BaseEntity {
    /** 统计信息 */
    private Map<String, Object> statistics;
    /** 信息点 */
    private Map<String, Object> infos;
    /** 集团编码 */
    private String groupCode;
    /** 需要删除的对象 */
    private List<String> nullList;

}
