package com.persagy.proxy.adm.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.proxy.relation.model.BaseEntity;
import lombok.Data;

/**
 * 点位X 、Y
 * @author lvxy
 * @date 2021/8/17
 */
@Data
public class AdmPoint extends BaseEntity {

    /** 坐标x */
    @JsonProperty("X")
    private Double x;

    /** 坐标y */
    @JsonProperty("Y")
    private Double y;

    /** 坐标z */
    @JsonProperty("Z")
    private Double z;
}
