package com.persagy.proxy.object.service;

import com.persagy.dmp.basic.model.QueryCriteria;
import com.persagy.proxy.adm.service.IAdmBaseService;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import com.persagy.proxy.object.model.AdmShaft;

import java.util.List;

/**
 * ADM 竖井接口
 * @author lvxy
 * @date 2021/8/18
 */
public interface IAdmShaftService extends IAdmBaseService<AdmShaft> {
    void ensureSpecialValues(InstanceUrlParam context, List<AdmShaft> vos);
    /***
     * Description: 子类重写,以便处理带buildingId
     * @param dmpRequest : 中台查询参数
     * @return : void
     */
    void processDmpCriteria(QueryCriteria dmpRequest);
}
