package com.persagy.proxy.report.model;

import lombok.Data;

/**
 * @author lvxy
 * @date 2021/11/1
 */
@Data
public class AdmInfoPoint {
    /** 自定义信息点总数 */
    private Integer customInfoPointCounts = 0;

    /** 项目中设备用到的自定义信息点数 */
    private Integer customInfoPoint = 0;

    /** 动态信息点总数 */
    private Integer dynamicInfoPointCounts = 0;

    /** 设备用到的动态信息点数 */
    private Integer dynamicInfoPoint = 0;

    /** 静态信息点总数 */
    private Integer staticInfoPointCounts = 0;

    /** 设备用到的静态信息点数 */
    private Integer staticInfoPoint = 0;
}
